package lab;

import javafx.geometry.Dimension2D;
import javafx.geometry.Point2D;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

public class Obstacle extends WorldEntity {

	private Dimension2D size;

	public Obstacle(Level level) {
		this(level, new Point2D(200, 100), new Dimension2D(30, 20));
	}

	public Obstacle(Level level, Point2D position, Dimension2D size) {
		super(level, position);
		this.size = size;
	}

	public void drawInternal(GraphicsContext gc) {
		gc.setFill(Color.BLUEVIOLET);
		gc.setStroke(Color.RED);
		gc.setLineWidth(3);
		gc.fillRect(position.getX(), position.getY(), size.getWidth(), size.getHeight());
		gc.strokeRect(position.getX(), position.getY(), size.getWidth(), size.getHeight());
	}

	public void simulate(double delay) {

	}

}
